com.opensymphony.xwork2.util

## Class ResolverUtil.AnnotatedWith

- java.lang.Object
- - com.opensymphony.xwork2.util.ResolverUtil.ClassTest
  - - com.opensymphony.xwork2.util.ResolverUtil.AnnotatedWith

- All Implemented Interfaces:
    ResolverUtil.Test
  Enclosing class:
    ResolverUtil<T>

      public static class ResolverUtil.AnnotatedWith
      extends ResolverUtil.ClassTest

  A Test that checks to see if each class is annotated with a specific annotation. If it is, then the test returns true, otherwise false.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResolverUtil.AnnotatedWith(Class<? extends Annotation> annotation)` Constructs an AnnotatedWith test for the specified annotation type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(Class type)` Will be called repeatedly with candidate classes.
    `String` | `toString()`

    - ### Methods inherited from class com.opensymphony.xwork2.util.ResolverUtil.ClassTest

      `doesMatchClass, doesMatchResource, matches`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolverUtil.AnnotatedWith

          public ResolverUtil.AnnotatedWith(Class<? extends Annotation> annotation)

      Constructs an AnnotatedWith test for the specified annotation type.
      Parameters:
        `annotation` - annotation

  - ### Method Detail

    - #### matches

          public boolean matches(Class type)

      Description copied from interface: `ResolverUtil.Test`
      Will be called repeatedly with candidate classes.
      Parameters:
        `type` - class type
      Returns:
        true if the type is annotated with the class provided to the constructor.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2021 Apache Software Foundation. All rights reserved.